/*
** EPITECH PROJECT, 2020
** Dep_Olivier
** File description:
** BaseElement
*/

#ifndef BASEELEMENT_HPP_
#define BASEELEMENT_HPP_

#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>

typedef unsigned int    uint;

class BaseElement {
    public:
        BaseElement(uint x, uint y, uint w, uint h);
        ~BaseElement(void);
        sf::Sprite     getSprite(void) const;
    protected:
        sf::Rect<int>   _rect;
        sf::Sprite      _sprite;
        sf::Texture     _texture;
};

#endif /* !BASEELEMENT_HPP_ */
