/*
** EPITECH PROJECT, 2020
** Personnage class
** File description:
** class
*/

#ifndef PERSONNAGE_HPP_
#define PERSONNAGE_HPP_

#include <string>

class Personnage {
	public:
		Personnage();
		~Personnage();
        int getExperience(void) const;
        int getGold(void) const;
        int getLevel(void) const;
        void    addLevel(void);
        void    addGold(int);
        void    addExperience(int);

	private:
        const std::string _name;
        int _experience;
        int _limitExperience;
        int _gold;
        int _level;
};

#endif /* !PERSONNAGE_HPP_ */
