/*
** EPITECH PROJECT, 2020
** Dep_Olivier
** File description:
** SpaceLock
*/

#ifndef SpaceLock_HPP_
#define SpaceLock_HPP_

#include "Picture.hpp"
#include "Personnage.hpp"

class SpaceLock {
	public:
		SpaceLock(int);
		~SpaceLock();
        int getUsable() const;
        int getId() const;
        bool    getFull() const;
        void    setFull(bool);
        void    setUsable(Personnage *);
        void    displaySpace(sf::RenderWindow *);
        void    setObjInBoxPic(Picture *);
        Picture *getObjPic(void) const;

	private:
        bool    _full;
        int     _id;
        int _usable;
        Picture *_picLock;
        Picture *_picUnlock;
        Picture *_objInBox;
};

#endif /* !SpaceLock_HPP_ */
