/*
** EPITECH PROJECT, 2020
** Dep_Olivier
** File description:
** Object
*/

#ifndef OBJECT_HPP_
#define OBJECT_HPP_

#include <string>
#include "Picture.hpp"
#include "Tools.hpp"

class Object {
	public:
		Object(std::string, int, int, int);
		~Object();
		const std::string	getName(void) const;
		int	getExp(void) const;
		int	getSellPrice(void) const;
		int	getRepairTime(void) const;
		void repair(Tools &tool);
		Picture	*getPicture() const;

	protected:
		const std::string	_name;
		int	_exp;
		int	_sellPrice;
		int	_repairTime;
		Picture *_pic;
};

#endif /* !OBJECT_HPP_ */
