/*
** EPITECH PROJECT, 2020
** Objects Box class
** File description:
** class
*/

#ifndef OBJECTSBOX_HPP_
#define OBJECTSBOX_HPP_

#include "Bookshelf.hpp"
#include "BookshelfBroken.hpp"
#include "Chair.hpp"
#include "ChairBroken.hpp"
#include "Desk.hpp"
#include "DeskBroken.hpp"
#include "Shelf.hpp"
#include "ShelfBroken.hpp"
#include "Table.hpp"
#include "TableBroken.hpp"

class ObjectsBox {
	public:
		ObjectsBox();
		~ObjectsBox();
        Bookshelf   *getBookShelf() const;
        BookshelfBroken   *getBookShelfBroken() const;
        Chair    *getChair() const;
        ChairBroken    *getChairBroken() const;
        Desk    *getDesk() const;
        DeskBroken    *getDeskBroken() const;
        Shelf   *getShelf() const;
        ShelfBroken   *getShelfBroken() const;
        Table   *getTable() const;
        TableBroken   *getTableBroken() const;

	private:
        Bookshelf   *_bookShelf;
        BookshelfBroken   *_bookShelfBroken;
        Chair   *_chair;
        ChairBroken   *_chairBroken;
        Desk    *_desk;
        DeskBroken    *_deskBroken;
        Shelf   *_shelf;
        ShelfBroken   *_shelfBroken;
        Table   *_table;
        TableBroken   *_tableBroken;
};

#endif /* !OBJECTSBOX_HPP_ */
