/*
** EPITECH PROJECT, 2020
** class Tools
** File description:
** class
*/

#ifndef TOOLS_HPP_
#define TOOLS_HPP_

#include <string>
#include "Picture.hpp"

class Tools {
	public:
        Tools(std::string, int, bool, std::string);
        ~Tools();
        std::string getName(void) const;
        int getCost() const;
        bool getUsable() const;
        Picture *getPicture(void) const;

	protected:
        std::string _name;
        int _cost;
        bool _usable;
        Picture *_pic = nullptr;
};

#endif /* !TOOLS_HPP_ */
