/*
** EPITECH PROJECT, 2019
** MainMenu.cpp
** File description:
** MainMenu functions
*/

#include "MainMenu.hpp"

MainMenu::MainMenu(sf::RenderWindow *win) : SceneManager(win)
{
    initBackground(SCENE_MENUBACK2);
    createMenuButton("IDPLAY", 66, 25, MENU_PLAY_NL, MENU_PLAY_SL, MENU_PLAY_CL);
    createMenuButton("IDOPTS", 66, 50, MENU_OPTION_NL, MENU_OPTION_SL, MENU_OPTION_CL);
    createMenuButton("IDQUIT", 66, 75, MENU_QUIT_NL, MENU_QUIT_SL, MENU_QUIT_CL);
    addButtonFunction("IDQUIT", CODE_QUIT);
    addButtonFunction("IDPLAY", CODE_GAME);
    addButtonFunction("IDOPTS", CODE_SETTINGS);
}

MainMenu::~MainMenu(void)
{
}
