/*
** EPITECH PROJECT, 2020
** Personnage class function
** File description:
** class function
*/

#include "Personnage.hpp"

Personnage::Personnage()
{
    this->_experience = 0;
    this->_gold = 100;
    this->_limitExperience = 100;
    this->_level = 1;
    (std::string)this->_name = "Olivier";
}

Personnage::~Personnage()
{
}

int Personnage::getExperience(void) const
{
    return (this->_experience);
}

int Personnage::getGold(void) const
{
    return (this->_gold);
}

int Personnage::getLevel(void) const
{
    return (this->_level);
}

void    Personnage::addExperience(int newExp)
{
    this->_experience += newExp;
}

void    Personnage::addGold(int nbGold)
{
    this->_gold += nbGold;
}

void    Personnage::addLevel(void)
{
    if (this->_experience >= this->_limitExperience) {
        this->_level += 1;
        this->_experience = 0;
        this->_limitExperience += (this->_limitExperience * 0.5);
    }
}