/*
** EPITECH PROJECT, 2020
** Object class function
** File description:
** class function
*/

#include "Object.hpp"

Object::Object(std::string name, int exp, int price, int repair)
{
    (std::string)this->_name = name;
    this->_exp = exp;
    this->_sellPrice = price;
    this->_repairTime = repair;
    this->_pic = nullptr;
}

Object::~Object()
{
}

const   std::string Object::getName() const
{
    return (this->_name);
}

int Object::getExp() const
{
    return (this->_exp);
}

int Object::getSellPrice(void) const
{
    return (this->_sellPrice);
}

int Object::getRepairTime(void) const
{
    return (this->_repairTime);
}

Picture *Object::getPicture() const
{
    return (this->_pic);
}