/*
** EPITECH PROJECT, 2020
** Objects Box class function
** File description:
** class function, all objects
*/

#include "ObjectsBox.hpp"

ObjectsBox::ObjectsBox()
{
    this->_bookShelf = new Bookshelf();
    this->_bookShelfBroken = new BookshelfBroken();
    this->_chair = new Chair();
    this->_chairBroken = new ChairBroken();
    this->_desk = new Desk();
    this->_deskBroken = new DeskBroken();
    this->_shelf = new Shelf();
    this->_shelfBroken = new ShelfBroken();
    this->_table = new Table();
    this->_tableBroken = new TableBroken();
}

ObjectsBox::~ObjectsBox()
{
    delete(this->_bookShelf);
    delete(this->_bookShelfBroken);
    delete(this->_chair);
    delete(this->_chairBroken);
    delete(this->_desk);
    delete(this->_deskBroken);
    delete(this->_shelf);
    delete(this->_shelfBroken);
    delete(this->_table);
    delete(this->_tableBroken);
}

Bookshelf   *ObjectsBox::getBookShelf() const
{
    return (this->_bookShelf);
}

BookshelfBroken   *ObjectsBox::getBookShelfBroken() const
{
    return (this->_bookShelfBroken);
}

Chair   *ObjectsBox::getChair() const
{
    return (this->_chair);
}

ChairBroken   *ObjectsBox::getChairBroken() const
{
    return (this->_chairBroken);
}

Desk    *ObjectsBox::getDesk() const
{
    return (this->_desk);
}

DeskBroken    *ObjectsBox::getDeskBroken() const
{
    return (this->_deskBroken);
}

Table   *ObjectsBox::getTable() const
{
    return (this->_table);
}

TableBroken   *ObjectsBox::getTableBroken() const
{
    return (this->_tableBroken);
}