/*
** EPITECH PROJECT, 2020
** ToolBox class function
** File description:
** class function
*/

#include "ToolsBox.hpp"

ToolsBox::ToolsBox()
{
    this->_glue = new Glue();
    this->_hammer = new Hammer();
    this->_screwDriver = new ScrewDriver();
}

ToolsBox::~ToolsBox()
{
    delete(this->_glue);
    delete(this->_hammer);
    delete(this->_screwDriver);
}

Glue    *ToolsBox::getGlue(void) const
{
    return (this->_glue);
}

Hammer  *ToolsBox::getHammer(void) const
{
    return (this->_hammer);
}

ScrewDriver *ToolsBox::getScrewDriver(void) const
{
    return (this->_screwDriver);
}