/*
** EPITECH PROJECT, 2019
** Defines.hpp
** File description:
** Header file for Defines
*/

#ifndef __DEFINES_HPP__
# define __DEFINES_HPP__

// MODE CODES

#define CODE_MENU       (0)
#define CODE_GAME       (1)
#define CODE_SETTINGS   (2)
#define CODE_CONTINUE   (42)
#define CODE_QUIT       (84)
#define HEIGTH          (1920)
#define WIDTH           (1080)

// Define paths

// FONT PATHS

#define FONT_ERAS_BOLD   ("assets/fonts/ERASBD.TTF")
#define FONT_ERAS_DEMI   ("assets/fonts/ERASDEMI.TTF")
#define FONT_ERAS_LITE   ("assets/fonts/ERASLGHT.TTF")
#define FONT_ERAS_MEDI   ("assets/fonts/ERASMD.TTF")

#define GAME_LOGO        ("assets/images/DEPOLIVIER_BLACKnWHITE.png")


// Items in-game
#define ITEM_TABLE       ("assets/images/game/TABLE.png")
#define ITEM_BOOKSHELF   ("assets/images/game/bookshelf.png")
#define ITEM_SHELF       ("assets/images/game/shelf.png")
#define ITEM_DESK        ("assets/images/game/desk.png")
#define ITEM_CHAIR       ("assets/images/game/chair.png")
#define ITEM_GLUE        ("assets/images/game/chair.png")
#define ITEM_SCREWDRIVER ("assets/images/game/screwdriver.png")
#define ITEM_HAMMER      ("assets/images/game/hammer.png")
#define ITEM_WRENCH      ("assets/images/game/wrench.png")
#define ITEM_PAINT1      ("assets/images/game/paint_1.png")
#define ITEM_PAINT       ("assets/images/game/paint.png")
#define ITEM_PLIER       ("assets/images/game/plier.png")
#define ITEM_SHOVEL      ("assets/images/game/shovel.png")


// Scene elements
#define SCENE_WORKSHOP   ("assets/images/game/TABLE_WORKSHOP.png")
#define SCENE_WINDOW1    ("assets/images/game/FENETRE1.png")
#define SCENE_WINDOW2    ("assets/images/game/FENETRE2.png")
#define SCENE_DOOR       ("assets/images/game/DOOR.png")


// ??
#define ITEM_CONE        ("assets/images/game/cone.png")


// Menu elements
#define ICON_GEAR        ("assets/images/game/gear.png")
#define ICON_BUCKS       ("assets/images/game/gear.png")

#define SCENE_MENUBACK1  ("assets/images/MENUBACK1.png")
#define SCENE_MENUBACK2  ("assets/images/MENUBACK_2.png")

#define MENU_OPTION_CL   ("assets/images/menu/OPTION_CL.png")
#define MENU_OPTION_SL   ("assets/images/menu/OPTION_SL.png")
#define MENU_OPTION_NL   ("assets/images/menu/OPTION_NL.png")

#define MENU_PLAY_CL     ("assets/images/menu/PLAY_CL.png")
#define MENU_PLAY_SL     ("assets/images/menu/PLAY_SL.png")
#define MENU_PLAY_NL     ("assets/images/menu/PLAY_NL.png")

#define MENU_QUIT_CL     ("assets/images/menu/QUIT_CL.png")
#define MENU_QUIT_SL     ("assets/images/menu/QUIT_SL.png")
#define MENU_QUIT_NL     ("assets/images/menu/QUIT_NL.png")

#endif /* __DEFINES_HPP__ */
