/*
** EPITECH PROJECT, 2019
** ObjectCollection.hpp
** File description:
** Header file for ObjectCollection
*/

#ifndef __OBJECT_COLLECTION_HPP__
# define __OBJECT_COLLECTION_HPP__

#include "BaseInclude.hpp"
#include "TextureItem.hpp"
#include "FontItem.hpp"
#include <iostream>

class   ObjectCollection
{
    public:
        ObjectCollection(void);
        ~ObjectCollection(void);
        bool    addFont(const std::string &fontName);
        bool    addTexture(const std::string &textureName);
        FontItem        *getFont(const std::string &fontName);
        TextureItem     *getTexture(const std::string &textureName);
        void            fill(void);
    private:
    public:
    private:
        std::list<FontItem *>    _fontCollection;
        std::list<TextureItem *> _textureCollection;


};

#endif /* __OBJECT_COLLECTION_HPP__ */
