/*
** EPITECH PROJECT, 2020
** Picture class, for graphic assets
** File description:
** class
*/

#ifndef PICTURE_HPP_
#define PICTURE_HPP_

#include <SFML/Graphics.hpp>

class Picture {
	public:
		Picture(std::string);
		~Picture();
		sf::Texture	getTexture() const;
		sf::Sprite	getSprite() const;
		void	setScaleSprite(float, float);
		void	setPositionSprite(float, float);

	private:
		sf::Texture	_tex;
		sf::Sprite	_spr;
		std::string	_namePic;
};

#endif /* !PICTURE_HPP_ */
