/*
** EPITECH PROJECT, 2019
** TextureItem.hpp
** File description:
** Header file for TextureItem
*/

#ifndef __TEXTURE_HPP__
# define __TEXTURE_HPP__

#include "BaseInclude.hpp"

class   TextureItem : public sf::Texture
{
    public:
        TextureItem(const std::string &id);
        ~TextureItem(void) {};
        const std::string   getId(void) const;
    private:
        const std::string _id;
        sf::Vector2u          _size;
};

#endif /* __TEXTURE_HPP__ */
