/*
** EPITECH PROJECT, 2020
** ToolsBox class
** File description:
** class
*/

#ifndef TOOLSBOX_HPP_
#define TOOLSBOX_HPP_

#include "Glue.hpp"
#include "Hammer.hpp"
#include "ScrewDriver.hpp"

class ToolsBox {
	public:
		ToolsBox();
		~ToolsBox();
        Glue    *getGlue(void) const;
        Hammer    *getHammer(void) const;
        ScrewDriver    *getScrewDriver(void) const;

	private:
        Glue    *_glue;
        Hammer  *_hammer;
        ScrewDriver *_screwDriver;
};

#endif /* !TOOLSBOX_HPP_ */
