/*
** EPITECH PROJECT, 2020
** Picture class function
** File description:
** class function
*/

#include <iostream>
#include "Picture.hpp"
#include "Defines.hpp"

Picture::Picture(std::string fileName)
{
    this->_namePic = fileName;
    if (this->_tex.loadFromFile(this->_namePic) == false)
        std::cout << "Couldn't load the image" << std::endl;
    this->_spr.setTexture(this->_tex);
}

Picture::~Picture()
{
}

sf::Sprite  Picture::getSprite() const
{
    return (this->_spr);
}

sf::Texture Picture::getTexture() const
{
    return (this->_tex);
}

void    Picture::setScaleSprite(float x, float y)
{
    sf::Vector2f pos{x, y};

    this->_spr.setScale(pos);
}

void    Picture::setPositionSprite(float x, float y)
{
    sf::Vector2f    pos{HEIGTH  * x / 100, WIDTH * y / 100};

    this->_spr.setPosition(pos);
}