/*
** EPITECH PROJECT, 2020
** dep oliver class, all elem
** File description:
** class function
*/

#include "dep_olivier.hpp"

Dep_Olivier::Dep_Olivier()
{
    this->_win = new sf::RenderWindow(sf::VideoMode(1920, 1080), "Dep'Olivier");
    this->_menu = new MainMenu(this->_win);
    this->_play = new Game(this->_win);
    this->_state = 0;
}

Dep_Olivier::~Dep_Olivier()
{
    delete(this->_menu);
    delete(this->_win);
    delete(this->_play);
}

sf::RenderWindow    *Dep_Olivier::getWindow() const
{
    return (this->_win);
}

int Dep_Olivier::getState() const
{
    return (this->_state);
}

void    Dep_Olivier::setState(int newState)
{
    this->_state = newState;
}

MainMenu    *Dep_Olivier::getMainMenu() const
{
    return (this->_menu);
}

Game    *Dep_Olivier::getGamePlay() const
{
    return (this->_play);
}

int Dep_Olivier::doMainMenu(Dep_Olivier *toto, int state)
{
    sf::Event   evt;

    state = toto->getMainMenu()->pollEvents(evt);
    toto->getMainMenu()->drawAll();
    if (state == CODE_QUIT) {
        toto->getWindow()->close();
        exit(0);
    }
    toto->setState(state);
    return (state);
}

int Dep_Olivier::doGameLoop(Dep_Olivier *toto, int state)
{
    toto->getWindow()->draw(toto->getGamePlay()->getPicture()->getSprite());
    toto->getWindow()->draw(toto->getGamePlay()->getToolsBox()->getHammer()->getPicture()->getSprite());
    toto->getWindow()->draw(toto->getGamePlay()->getToolsBox()->getScrewDriver()->getPicture()->getSprite());
    toto->getWindow()->draw(toto->getGamePlay()->getToolsBox()->getGlue()->getPicture()->getSprite());
    if (toto->getGamePlay()->getObjectsBox()->getChairBroken()->getInRepair() == false)
        toto->getWindow()->draw(toto->getGamePlay()->getObjectsBox()->getChairBroken()->getPicture()->getSprite());
    toto->getGamePlay()->getSpaceLock(0)->displaySpace(toto->getWindow());
    toto->getGamePlay()->printPicinList();
    if (toto->getGamePlay()->manageAllEvent() == 1)
        exit(0);
    return (state);
}