/*
** EPITECH PROJECT, 2020
** Chair broken class function
** File description:
** class function
*/

#include "ChairBroken.hpp"

ChairBroken::ChairBroken() : Object("Broken chair", 0, 5, 5)
{
    this->_pic = new Picture("assets/images/game/chair_BROKEN.png");
    this->_pic->setScaleSprite(0.5, 0.5);
    this->_inRepair = false;
    if (this->_inRepair == false)
        this->_pic->setPositionSprite(25, 67);
}

ChairBroken::~ChairBroken()
{
}

bool    ChairBroken::getInRepair(void) const
{
    return (this->_inRepair);
}

void    ChairBroken::setInRepair(bool newval)
{
    this->_inRepair = newval;
}