/*
** EPITECH PROJECT, 2020
** Tools class function
** File description:
** class function
*/

#include "Hammer.hpp"
#include "Tools.hpp"

Tools::Tools(std::string name, int cost, bool usage, std::string namePic)
{
    this->_name = name;
    this->_cost = cost;
    this->_usable = usage;
    this->_pic = new Picture(namePic);
    this->_pic->setScaleSprite(0.5, 0.5);
}

Tools::~Tools()
{
    delete(this->_pic);
}

std::string Tools::getName(void) const
{
    return (this->_name);
}

int Tools::getCost() const
{
    return (this->_cost);
}

bool Tools::getUsable() const
{
    return (this->_usable);
}

Picture *Tools::getPicture() const
{
    return (this->_pic);
}